/**
 * @function execDply
 */

'use strict'

const co = require('co');
const apemandocker = require('apemandocker');
const getDplys = require('./get_dplys');

/** @lends execDply */
function execDply (apemanfile, names, script, options = {}) {
  let docker = apemandocker.create({})
  let dplys = getDplys(apemanfile, names)

  return co(function * () {
    for (let dply of [].concat(dplys)) {
      yield execDply.one(docker, script, dply, {})
    }
  })
}

execDply.one = function (docker, script, dply, options) {
  return docker.execInContainer(
    dply.container,
    script.split(/\s+/g),
    options)
}

module.exports = execDply
