/**
 * @function logDply
 */

'use strict'

const co = require('co');
const apemandocker = require('apemandocker');
const selectDply = require('./select_dply');
const filterDply = require('./filter_dply');
const getDplys = require('./get_dplys');

/** @lends logDply */
function logDply (apemanfile, names, options = {}) {
  let docker = apemandocker.create({})
  let dplys = getDplys(apemanfile, names)

  return co(function * () {
    let name;
    if (names.length == 1) {
      name = names[ 0 ];
    } else {
      name = yield selectDply(dplys)
    }
    let dply = yield filterDply(dplys, name)
    yield docker.logContainer(dply.container, {
      follow: options.follow
    })
  })
}

module.exports = logDply;
