/**
 * @function selectDply
 * @return {Promise}
 */
'use strict'

const readline = require('readline')
const Promise = require('apemanpromise')
const colorprint = require('colorprint')

/** @lends selectDply */
function selectDply (dplys) {
  let rl = readline.createInterface({
    input: process.stdin,
    output: process.stdout
  })

  let names = dplys.map((dply) => {
    return String(dply.name).trim()
  })
  colorprint.debug(names.join('\t'))

  return new Promise(resolve =>
    rl.question('Which dply? : ', (name)=> {
      rl.close()
      resolve(String(name).trim())
    })
  )
}

module.exports = selectDply
