/**
 * @function ttyDply
 */

'use strict'

const co = require('co');
const apemandocker = require('apemandocker');
const selectDply = require('./select_dply');
const filterDply = require('./filter_dply');
const getDplys = require('./get_dplys');

/** @lends ttyDply */
function ttyDply (apemanfile, names, options = {}) {
  let docker = apemandocker.create({})
  let dplys = getDplys(apemanfile, names)

  return co(function * () {
    let name;
    if (names.length == 1) {
      name = names[ 0 ];
    } else {
      name = yield selectDply(dplys)
    }
    console.log('!!!!dplys', dplys, name)
    let dply = yield filterDply(dplys, name)
    console.log('!!dply', dply)
    return yield docker.terminal(dply.container)
  })
}

module.exports = ttyDply
