/**
 * Logger for list.
 * @constructor ListLogger
 */

'use strict'

const colorprint = require('colorprint')
const arrayfilter = require('arrayfilter')
const textconv = require('textconv')
const { colors } = colorprint

const NAME_MIN_LENGTH = 24
const DESC_MAX_LEN = 64

/** @lends ListLogger */
module.exports = colorprint.define(
  /** @lends ListLogger.prototype */
  {
    /**
     * Log dply list.
     * @param {object} dply - Infra to show.
     */
    logList (dply) {
      const s = this
      s.debug('')
      s.debug('  Available dply:')
      s.debug('')
      dply = [].concat(dply || {})
      dply.forEach((dply) => {
        let conf = Object.assign({}, dply)
        delete conf.name;
        let nameLabel = textconv.pad(dply.name, NAME_MIN_LENGTH),
          descLabel = textconv.chop(textconv.inline(JSON.stringify(conf), { trim: true }), DESC_MAX_LEN, {
            ellipsis: true
          })
        s.debug(`     ${colors.black.bold(nameLabel)}  ${colors.blackBright(descLabel)}`)
      })
      s.debug('')
    }
  }
)
