/**
 * Logger for remove.
 * @constructor RemoveLogger
 */

'use strict'

const colorprint = require('colorprint')
const arrayfilter = require('arrayfilter')
const textconv = require('textconv');

/** @lends RemoveLogger */
module.exports = colorprint.define(
  /** @lends RemoveLogger.prototype */
  {
    logRemoveStarted (name) {
      const s = this
      s.info(`Removing ${name}...`)
      s.debug('')
    },
    logRemoveDone (name) {
      const s = this
      s.info(`...removing ${name} done!`)
      s.debug('')
    },
    logNetworkRemoved (name) {
      const s = this
      s.info(`Network removed: ${name}`)
    }
  }
)
